Skip to main content
GET
/
v3
/
customer
/
{customerId}
Get accounts given customerId
curl --request GET \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account/v3/customer/{customerId}' \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": 1234567890,
    "parentId": 9876543210,
    "status": "ACCOUNT_BLOCKED",
    "available": 1000,
    "balance": 1000,
    "creditLimit": 10000,
    "currency": "EUR",
    "customerId": 55667788990,
    "number": 123456789,
    "paymentReference": {
      "type": "MOD10",
      "number": 1234567897
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt

Use this file to discover all available pages before exploring further.

Deprecated: This API endpoint is no longer supported.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

customerId
string<biginteger>
required

The customer id to fetch list of accounts for

Query Parameters

auditUser
string
required

The audit user to log the request

page
integer
default:0

Current page

size
integer
default:30

How many accounts should be returned per page, default is 30. Cannot be more than 100.

Required range: 1 < x < 100

Response

Successful lookup of accounts

id
string

Unique account id for given account

Example:

1234567890

parentId
string

Account id of parent account. If empty then this is parent contract.

Example:

9876543210

status
enum<string>
Available options:
ACCOUNT_BLOCKED,
ACCOUNT_COLLECTION,
ACCOUNT_OK,
ACCOUNT_TO_CLOSE,
ACCOUNT_CLOSED,
ACCOUNT_AUTO_CLOSED
available
number

Accounts's available amount

Example:

1000

balance
number

Account's balance

Example:

1000

creditLimit
number

Credit limit of the account

Example:

10000

currency
string

A valid ISO 4217 currency code

Pattern: [A-Z]{3}
Example:

"EUR"

customerId
string

Customer id for account owner

Example:

55667788990

number
string

Unique account number for given account. Must be numeric if paymentRefence.type defined as MOD10 or FINNISH_7_3_1! Note that selected account numbers might be reserved by Enfuce for internal usage.

Maximum string length: 64
Example:

123456789

paymentReference
object

Number connected to account that will be used to map incoming payments to